=== debian/changelog ===
ros-indigo-lama-interfaces (0.1.3-0trusty) trusty; urgency=high

  * debug instead of info
  * more robust default engine
  * change test target name
  * remove unused test_interfaces.py
  * add missing target dependency
  * fix import in graph_builder.py
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 10 Feb 2015 23:00:00 -0000

ros-indigo-lama-interfaces (0.1.1-0trusty) trusty; urgency=high

  * lama_interfaces, lama_jockeys: update install
  * all: move some messages from lama_interfaces to lama_msgs
    lama_interfaces: update install script
  * Contributors: Gaël Ecorchard

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Wed, 07 Jan 2015 23:00:00 -0000

ros-indigo-lama-interfaces (0.1.0-0trusty) trusty; urgency=high

  * Fist public release for Indigo
  * Contributors: Gaël Ecorchard, Karel Košnar

 -- Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>  Tue, 06 Jan 2015 23:00:00 -0000
