=== debian/control ===
Source: ros-indigo-lama-interfaces
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, python-nose, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/lama_interfaces
Standards-Version: 3.9.2

Package: ros-indigo-lama-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, python-sqlalchemy, ros-indigo-genpy, ros-indigo-geometry-msgs, ros-indigo-lama-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-sensor-msgs
Description: The lama_interfaces package provides the interfaces between ROS nodes (such as jockeys from lama_jockeys) and the map.
